package com.sitemesh;

import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import org.xml.sax.InputSource;

/**
 * The PageParser is responsible for parsing the page data into an appropriate
 * {@link com.sitemesh.Page} object.
 *
 * <p>The implementation of this can be switched to parse different kind of data
 * (<i>e.g.</i> HTML, WML, FOP, images) or for performance enhancements. An
 * implementation is obtained through the {@link com.sitemesh.Factory} .</p>
 *
 * <p>Methods are provided to parse data from a variety of input sources.</p>
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.3 $
 */
public interface PageParser {

	/**
	 * @label builds
	 * @directed
	 */
    /*#Page lnkPage;*/

	Page parse( InputStream in ) throws IOException;

	Page parse( Reader in ) throws IOException;

	Page parse( InputSource in ) throws IOException;

	Page parse( char[] data ) throws IOException;

	Page parse( byte[] data ) throws IOException;

}
