package com.sitemesh.parser;

import javax.servlet.http.HttpServletRequest;

/**
 * A page that is of unrecognised content-type, or cannot be parsed into
 * a specific type of Page.
 *
 * <p>The original page is contained within, but no meta-data or parsed chunks.</p>
 *
 * @author <a href="joe@truemesh.com">Joe Walnes</a>
 * @version $Revision: 1.6 $
 *
 * @see com.sitemesh.Page
 */
public class UnParsedPage extends AbstractPage {

	/**
	 * Simple constructor.
	 *
	 * @param original Original data of page.
	 */
	public UnParsedPage( byte[] original ) {
		this.pageData = original;
	}

}
